Bug 879894 - rhevm-manage-domains: please fix USAGE in --help to say "rhevm-manage-domains" instead of "engine-manage-domains"
rhevm-manage-domains: please fix USAGE in --help to say "rhevm-manage-domains...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Moran Goldboim
Pavel Stehlik
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-25 03:43 EST by Dafna Ron
Modified: 2016-02-10 14:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-29 06:10:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2012-11-25 03:43:24 EST
Description of problem:

[root@dafna-web-admin ~]# rhevm-manage-domains 
engine-manage-domains: add/edit/delete/validate/list domains
USAGE:
	engine-manage-domains -action=ACTION [-domain=DOMAIN -provider=PROVIDER -user=USER -passwordFile=PASSWORD_FILE -interactive -configFile=PATH -addPermissions] -report
Where:


Version-Release number of selected component (if applicable):

si24.4

How reproducible:

100%

Steps to Reproduce:
1. run rhevm-manage-domains without any parameters
2.
3.
  
Actual results:

rhevm-manage-domains if referred to as engine-manage-domain

Expected results:

we should be consistent in names

Additional info:
Comment 1 Itamar Heim 2012-11-25 05:21:31 EST
considering rhevm-manage-domains is a sym-link to engine-manage-domains, not sure if we should fix this.
Comment 2 Simon Grinberg 2012-12-24 13:06:26 EST
(In reply to comment #1)
> considering rhevm-manage-domains is a sym-link to engine-manage-domains, not
> sure if we should fix this.

But this looks bad. If the process of branding can be automated then I would vote for fixing it.
Comment 4 Itamar Heim 2013-12-29 06:10:28 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.